YarnServerFederationProtos.SubClusterStateProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.federation.proto, class: YarnServerFederationProtos, enum: SubClusterStateProto

Package org.apache.hadoop.yarn.federation.proto

# Enum Class YarnServerFederationProtos.SubClusterStateProto

java.lang.Object
java.lang.Enum<YarnServerFederationProtos.SubClusterStateProto>
org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.SubClusterStateProto

All Implemented Interfaces:
  `Serializable`, `Comparable<YarnServerFederationProtos.SubClusterStateProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos

public static enum YarnServerFederationProtos.SubClusterStateProto extends Enum<YarnServerFederationProtos.SubClusterStateProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.yarn.SubClusterStateProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SC_DECOMMISSIONED`
  `SC_DECOMMISSIONED = 7;`
  `SC_DECOMMISSIONING`
  `SC_DECOMMISSIONING = 4;`
  `SC_LOST`
  `SC_LOST = 5;`
  `SC_NEW`
  `SC_NEW = 1;`
  `SC_RUNNING`
  `SC_RUNNING = 2;`
  `SC_UNHEALTHY`
  `SC_UNHEALTHY = 3;`
  `SC_UNREGISTERED`
  `SC_UNREGISTERED = 6;`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SC_DECOMMISSIONED_VALUE`
  `SC_DECOMMISSIONED = 7;`
  `static final int`
  `SC_DECOMMISSIONING_VALUE`
  `SC_DECOMMISSIONING = 4;`
  `static final int`
  `SC_LOST_VALUE`
  `SC_LOST = 5;`
  `static final int`
  `SC_NEW_VALUE`
  `SC_NEW = 1;`
  `static final int`
  `SC_RUNNING_VALUE`
  `SC_RUNNING = 2;`
  `static final int`
  `SC_UNHEALTHY_VALUE`
  `SC_UNHEALTHY = 3;`
  `static final int`
  `SC_UNREGISTERED_VALUE`
  `SC_UNREGISTERED = 6;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static YarnServerFederationProtos.SubClusterStateProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<YarnServerFederationProtos.SubClusterStateProto>`
  `internalGetValueMap()`
  `static YarnServerFederationProtos.SubClusterStateProto`
  `valueOf(int value)`
  Deprecated.
  `static YarnServerFederationProtos.SubClusterStateProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static YarnServerFederationProtos.SubClusterStateProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static YarnServerFederationProtos.SubClusterStateProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SC_NEW

    public static final YarnServerFederationProtos.SubClusterStateProto SC_NEW
    `SC_NEW = 1;`

  - ### SC_RUNNING

    public static final YarnServerFederationProtos.SubClusterStateProto SC_RUNNING
    `SC_RUNNING = 2;`

  - ### SC_UNHEALTHY

    public static final YarnServerFederationProtos.SubClusterStateProto SC_UNHEALTHY
    `SC_UNHEALTHY = 3;`

  - ### SC_DECOMMISSIONING

    public static final YarnServerFederationProtos.SubClusterStateProto SC_DECOMMISSIONING
    `SC_DECOMMISSIONING = 4;`

  - ### SC_LOST

    public static final YarnServerFederationProtos.SubClusterStateProto SC_LOST
    `SC_LOST = 5;`

  - ### SC_UNREGISTERED

    public static final YarnServerFederationProtos.SubClusterStateProto SC_UNREGISTERED
    `SC_UNREGISTERED = 6;`

  - ### SC_DECOMMISSIONED

    public static final YarnServerFederationProtos.SubClusterStateProto SC_DECOMMISSIONED
    `SC_DECOMMISSIONED = 7;`

- ## Field Details

  - ### SC_NEW_VALUE

    public static final int SC_NEW_VALUE
    `SC_NEW = 1;`
    See Also:
      - Constant Field Values

  - ### SC_RUNNING_VALUE

    public static final int SC_RUNNING_VALUE
    `SC_RUNNING = 2;`
    See Also:
      - Constant Field Values

  - ### SC_UNHEALTHY_VALUE

    public static final int SC_UNHEALTHY_VALUE
    `SC_UNHEALTHY = 3;`
    See Also:
      - Constant Field Values

  - ### SC_DECOMMISSIONING_VALUE

    public static final int SC_DECOMMISSIONING_VALUE
    `SC_DECOMMISSIONING = 4;`
    See Also:
      - Constant Field Values

  - ### SC_LOST_VALUE

    public static final int SC_LOST_VALUE
    `SC_LOST = 5;`
    See Also:
      - Constant Field Values

  - ### SC_UNREGISTERED_VALUE

    public static final int SC_UNREGISTERED_VALUE
    `SC_UNREGISTERED = 6;`
    See Also:
      - Constant Field Values

  - ### SC_DECOMMISSIONED_VALUE

    public static final int SC_DECOMMISSIONED_VALUE
    `SC_DECOMMISSIONED = 7;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static YarnServerFederationProtos.SubClusterStateProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static YarnServerFederationProtos.SubClusterStateProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static YarnServerFederationProtos.SubClusterStateProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static YarnServerFederationProtos.SubClusterStateProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<YarnServerFederationProtos.SubClusterStateProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static YarnServerFederationProtos.SubClusterStateProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null